Rated 1 out of 5 stars

not compatible with 9.0.1!!! this add-on was disabled by Firefox once I upgraded to Firefox 9.0.1! and on a brand new computer I install FF 9.0.1 and this page says it is not available for 9.0.1

This review is for a previous version of the add-on ( 

Reverted version

Yes, it's an older version currently in AMO. I updated the compatibility settings. Please make sure to check again. Thanks!